<?xml version="1.0" encoding="UTF-8"?>
<model name="va:vacationAccessModel" xmlns="http://www.alfresco.org/model/dictionary/1.0">
<!-- Optional meta-data about the model -->
    <description>Vacation Access Model</description>
    <author>ContCentric</author>
    <version>1.0</version>
    
    <imports>
        <!-- Import Alfresco Dictionary Definitions -->
        <import uri="http://www.alfresco.org/model/dictionary/1.0" prefix="d"/>
        <!-- Import Alfresco Content Domain Model Definitions -->
        <import uri="http://www.alfresco.org/model/content/1.0" prefix="cm"/>
        <!-- Import Alfresco System Model Definitions -->
        <import uri="http://www.alfresco.org/model/system/1.0" prefix="sys"/>
    </imports>

    <!-- Custom namespace for your domain -->
    <namespaces>
        <namespace uri="http://www.vacationAccess.com/model/content/1.0" prefix="va"/>
    </namespaces>
    
    <aspects>
    	<aspect name="va:vacationAccess">
    		<title>Vacation Access Form Details</title>
    		<properties>
    			<property name="va:startDate">
    			<title>Start Date</title>
					<type>d:datetime</type>
					<mandatory>true</mandatory>
					<index enabled="true">
               			<atomic>true</atomic>
               			<stored>false</stored>
               			<tokenised>false</tokenised>
               			<facetable>true</facetable>
           			</index>
    			</property>
    			<property name="va:endDate">
    			<title>End Date</title>
					<type>d:datetime</type>
					<mandatory>true</mandatory>
					<index enabled="true">
               			<atomic>true</atomic>
               			<stored>false</stored>
               			<tokenised>false</tokenised>
               			<facetable>true</facetable>
           			</index>
    			</property>
    			<property name="va:assignee">
    			<title>Assignee</title>
					<type>d:text</type>
					<mandatory>true</mandatory>
					<index enabled="true">
               			<atomic>true</atomic>
               			<stored>false</stored>
               			<tokenised>false</tokenised>
               			<facetable>true</facetable>
           			</index>
    			</property>
    			<property name="va:workflow">
    			<title>Workflow</title>
					<type>d:text</type>
					<mandatory>true</mandatory>
					<index enabled="true">
               			<atomic>true</atomic>
               			<stored>false</stored>
               			<tokenised>false</tokenised>
               			<facetable>true</facetable>
           			</index>
    			</property>
    			<property name="va:comment">
    			<title>Comment</title>
					<type>d:text</type>
					<mandatory>true</mandatory>
					<index enabled="true">
               			<atomic>true</atomic>
               			<stored>false</stored>
               			<tokenised>false</tokenised>
               			<facetable>true</facetable>
           			</index>
    			</property>
    			
    		</properties>
    	</aspect>
    </aspects>
</model>